org.jgroups.blocks

## Class RequestCorrelator.MultiDestinationHeader

- java.lang.Object
- - org.jgroups.Header
  - - org.jgroups.blocks.RequestCorrelator.Header
    - - org.jgroups.blocks.RequestCorrelator.MultiDestinationHeader

- All Implemented Interfaces:
    Streamable
  Enclosing class:
    RequestCorrelator

      public static final class RequestCorrelator.MultiDestinationHeader
      extends RequestCorrelator.Header

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Collection<? extends Address>` | `exclusion_list` Contains a list of members who should not receive the request (others will drop).

    - ### Fields inherited from class org.jgroups.blocks.RequestCorrelator.Header

      `corrId, id, REQ, RSP, rsp_expected, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestCorrelator.MultiDestinationHeader()`
    `RequestCorrelator.MultiDestinationHeader(byte type, long id, boolean rsp_expected, short corr_id, java.util.Collection<Address> exclusion_list)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `int` | `size()` To be implemented by subclasses.
    `java.lang.String` | `toString()`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### exclusion_list

          public java.util.Collection<? extends Address> exclusion_list

      Contains a list of members who should not receive the request (others will drop). Ignored if null

  - ### Constructor Detail

    - #### RequestCorrelator.MultiDestinationHeader

          public RequestCorrelator.MultiDestinationHeader()

    - #### RequestCorrelator.MultiDestinationHeader

          public RequestCorrelator.MultiDestinationHeader(byte type,
                                                  long id,
                                                  boolean rsp_expected,
                                                  short corr_id,
                                                  java.util.Collection<Address> exclusion_list)

  - ### Method Detail

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Specified by:
        `writeTo` in interface `Streamable`
      Overrides:
        `writeTo` in class `RequestCorrelator.Header`
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Specified by:
        `readFrom` in interface `Streamable`
      Overrides:
        `readFrom` in class `RequestCorrelator.Header`
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

    - #### size

          public int size()

      Description copied from class: `Header`
      To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.
      Overrides:
        `size` in class `RequestCorrelator.Header`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `RequestCorrelator.Header`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.